package cz.moneta.test.regression.commercial.salesforce.api;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.rest.RawRestRequest;

@TestScenario(name = "Test application availability")
public class GetSalesForceVersionTest {

    @TestCase(name = "Get app versions", environments = {Environment.TST1, Environment.PPE})
    public void getSalesForceVersion(Harness harness) {
        RawRestRequest.Response response = harness.withSalesForceApi()
                .prepareRequest()
                .withPath("/data")
                .get()
                .andAssertStatus(200);

        harness.log("Response: " + response.extract("").toString());
    }
}
